/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				                 *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
/* Header Files */
#include "fps.h"

int Frame = 1;
float prevTime = 0.0;

//---------------------------------------------------------------------------

/* Init Time Counter */
void FPSW::InitTimeCounter()
{
	gettimeofday(&tv0, NULL);
	FramesPerFPS = 30;
}

//---------------------------------------------------------------------------

/* Update Time Counter */
void FPSW::UpdateTimeCounter() 
{
	LastFrameTimeCounter = TimeCounter;
	gettimeofday(&tv, NULL);
	TimeCounter = ((float)(tv.tv_sec-tv0.tv_sec)+ 
	0.000001*((float)(tv.tv_usec-tv0.tv_usec)));
	dt = TimeCounter - LastFrameTimeCounter;
}

//---------------------------------------------------------------------------

/* Frames per Seconds */
void FPSW::CalculateFPS() 
{
	Frame++;

	if((Frame%FramesPerFPS) == 0) 
	{
		FPS = (((float)(FramesPerFPS)) / (TimeCounter-prevTime));
		prevTime = TimeCounter;
	}
	
	printf("%4.1f seconds * %4.1f fps\n",TimeCounter, FPS);
}

//---------------------------------------------------------------------------

